Bug 38726 - Error executing task LinkAssemblies: Object reference not set to an instance of an object
Summary: Error executing task LinkAssemblies: Object reference not set to an instance ...
Status: RESOLVED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: MSBuild (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Radek Doulik
URL:
Depends on:
Blocks:
 
Reported: 2016-02-12 19:22 UTC by Manish Sinha
Modified: 2016-02-14 12:29 UTC (History)
3 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Xamarin Studio solution (3.97 MB, application/zip)
2016-02-12 19:22 UTC, Manish Sinha
Details

Description Manish Sinha 2016-02-12 19:22:28 UTC
Created attachment 15025 [details]
Xamarin Studio solution

Steps to reproduce in Xamarin Studio

1. Create an Android App
2. Project > Add Google Play services > Select all > Click Add
3. Build

Expected: Builds successfully
Actual: Fails to build with 

Target _LinkAssembliesNoShrink:
/Library/Frameworks/Mono.framework/External/xbuild/Xamarin/Android/Xamarin.Android.Common.targets: error : Error executing task LinkAssemblies: Object reference not set to an instance of an object
        Build FAILED.


Full build output: https://gist.github.com/anonymous/7a22e6238f1fc003da52
Xamarin Studio Info: https://gist.github.com/anonymous/65e77125aa9a853bffa3
Comment 1 Radek Doulik 2016-02-14 12:29:36 UTC
this is now fixed by c6440d0f8963ec1710b620fc06473f0de30daf81

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.